# Interface methods for submodule: FastMarchingStoppingCriterionBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import StoppingCriterionBaseProxy as _StoppingCriterionBaseProxy


# Interface methods for class: FastMarchingStoppingCriterionBase
class FastMarchingStoppingCriterionBaseProxy(_StoppingCriterionBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	def Reinitialize(self) -> None:
		""""""
		...

	def SetCurrentNodePair(self, iNodePair) -> None:
		""""""
		...

	def SetDomain(self, _arg) -> None:
		""""""
		...

	def GetModifiableDomain(self):
		""""""
		...

	def GetDomain(self):
		""""""
		...

